### File

`packages/ecl/components/ecl-file-upload/events/ecl-file-upload-file-selected.event.ts`

### Description

Custom event emitted by the ECL file upload directive when one or more files are selected.

### Extends

`EclBaseEvent`

### Index

###### Properties
Public files
###### Methods
preventDefault

### Constructor

`constructor(files: Array<EclFileUpload>)`
List of selected files. Each file includes its name, extension, and formatted size. Parameters :
Name | Type | Optional
files | `Array<EclFileUpload>` | No

### Properties

Public files
Type : `Array<EclFileUpload>`

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""